local _,class = UnitClass('player')
if class ~= 'MAGE' then return end

local AB = GetSpellInfo(42897) -- Arcane Blast
local ABCount = nil

local GetFramesRegisteredForEvent = GetFramesRegisteredForEvent
local UnitDebuff = UnitDebuff

local function map(frame, ...)
   if frame then
      local func = frame:GetScript('OnEvent')
      if func then func(frame, 'UNIT_COMBO_POINTS', 'player') end
      return map(...)
   end
end

local frame = CreateFrame('frame')
frame:RegisterEvent('UNIT_AURA')
frame:SetScript('OnEvent', function(self, event, unit)
   if unit == 'player' then
      local _,_,_,count = UnitDebuff('player', AB)
      if count ~= ABCount then
         ABCount = count
         return map(GetFramesRegisteredForEvent('UNIT_COMBO_POINTS'))
      end
   end
end)

local UnitExists = UnitExists
local oldGetComboPoints = GetComboPoints
GetComboPoints = function(...)
   return UnitExists('target') and ABCount or oldGetComboPoints(...)
end
